Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo
Interface KodoFetchPlan

All Superinterfaces:
  FetchPlan, kodo.kernel.LockLevels, kodo.kernel.QueryFlushModes

All Known Subinterfaces:
  JDBCFetchPlan

    public interface KodoFetchPlan

extends FetchPlan, kodo.kernel.LockLevels, kodo.kernel.QueryFlushModes

Interface implemented by all Kodo fetch plans.

Since:
  4.0

Field Summary
`static int` | `DEFAULT_VALUE` Constant to revert any setting back to its default value.
`static int` | `DETACH_ALL_FIELDS` Detachment option to detach all fields.

Fields inherited from interface javax.jdo.FetchPlan
`ALL, DEFAULT, DETACH_LOAD_FIELDS, DETACH_UNLOAD_FIELDS, FETCH_SIZE_GREEDY, FETCH_SIZE_OPTIMAL`

Fields inherited from interface kodo.kernel.LockLevels
`LOCK_NONE, LOCK_READ, LOCK_WRITE`

Fields inherited from interface kodo.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Method Summary
`KodoFetchPlan` | `addField(Class cls, String field)` Adds `field` to the set of field names to use when loading objects.
`KodoFetchPlan` | `addField(String field)` Adds `field` to the set of fully-qualified field names to use when loading objects.
`KodoFetchPlan` | `clearFields()` Clears the set of field names to use when loading data.
`Set` | `getFields()` Returns the names of the fields that this component will use when loading objects, in addition to fetch groups.
`int` | `getFlushBeforeQueries()` The query automatic flush configuration.
`int` | `getLockTimeout()` The number of milliseconds to wait for an object lock, or -1 for no limit.
`boolean` | `getQueryResultCache()` Return whether or not query caching is enabled.
`int` | `getReadLockLevel()` The lock level to use for locking loaded objects.
`int` | `getWriteLockLevel()` The lock level to use for locking dirtied objects.
`boolean` | `hasField(Class cls, String field)` Return true if the given field has been added.
`KodoFetchPlan` | `removeField(Class cls, String field)` Remove the given field.
`KodoFetchPlan` | `removeField(String field)` Remove the given fully-qualified field.
`KodoFetchPlan` | `resetGroups()` Resets the set of fetch groups to the list in the global configuration.
`KodoFetchPlan` | `setFields(Class cls, Collection fields)` Sets `fields` as the set of field names to use when loading objects.
`KodoFetchPlan` | `setFields(Class cls, String[] fields)` Sets `fields` as the set of field names to use when loading objects.
`KodoFetchPlan` | `setFields(Collection fields)` Sets `fields` as the set of fully-qualified field names to use when loading objects.
`KodoFetchPlan` | `setFields(String[] fields)` Sets `fields` as the set of fully-qualified field names to use when loading objects.
`KodoFetchPlan` | `setFlushBeforeQueries(int flush)` The query automatic flush configuration.
`KodoFetchPlan` | `setLockTimeout(int timeout)` The number of milliseconds to wait for an object lock, or -1 for no limit.
`KodoFetchPlan` | `setQueryResultCache(boolean cache)` Control whether or not query caching is enabled.
`KodoFetchPlan` | `setReadLockLevel(int level)` The lock level to use for locking loaded objects.
`KodoFetchPlan` | `setWriteLockLevel(int level)` The lock level to use for locking dirtied objects.

Methods inherited from interface javax.jdo.FetchPlan
`addGroup, clearGroups, getDetachmentOptions, getDetachmentRootClasses, getDetachmentRoots, getFetchSize, getGroups, getMaxFetchDepth, removeGroup, setDetachmentOptions, setDetachmentRootClasses, setDetachmentRoots, setFetchSize, setGroup, setGroups, setGroups, setMaxFetchDepth`

Field Detail

### DEFAULT_VALUE

    static final int DEFAULT_VALUE

  Constant to revert any setting back to its default value.

  See Also:
    Constant Field Values

### DETACH_ALL_FIELDS

    static final int DETACH_ALL_FIELDS

  Detachment option to detach all fields.

  See Also:
    Constant Field Values

Method Detail

### getQueryResultCache

    boolean getQueryResultCache()

  Return whether or not query caching is enabled. If this returns `true` but the datacache plugin is not installed, caching will not be enabled. If this returns `false`, query caching will not be used even if the datacache plugin is installed.

### setQueryResultCache

    KodoFetchPlan setQueryResultCache(boolean cache)

  Control whether or not query caching is enabled. This has no effect if the datacache plugin is not installed, or if the query cache size is set to zero.

### getFlushBeforeQueries

    int getFlushBeforeQueries()

  The query automatic flush configuration.

### setFlushBeforeQueries

    KodoFetchPlan setFlushBeforeQueries(int flush)

  The query automatic flush configuration.

### resetGroups

    KodoFetchPlan resetGroups()

  Resets the set of fetch groups to the list in the global configuration.

### getFields

    Set getFields()

  Returns the names of the fields that this component will use when loading objects, in addition to fetch groups. Defaults to the empty set.

### hasField

    boolean hasField(Class cls,
                     String field)

  Return true if the given field has been added.

### addField

    KodoFetchPlan addField(String field)

  Adds `field` to the set of fully-qualified field names to use when loading objects.

### addField

    KodoFetchPlan addField(Class cls,
                           String field)

  Adds `field` to the set of field names to use when loading objects.

### setFields

    KodoFetchPlan setFields(String[] fields)

  Sets `fields` as the set of fully-qualified field names to use when loading objects.

### setFields

    KodoFetchPlan setFields(Class cls,
                            String[] fields)

  Sets `fields` as the set of field names to use when loading objects.

### setFields

    KodoFetchPlan setFields(Collection fields)

  Sets `fields` as the set of fully-qualified field names to use when loading objects.

### setFields

    KodoFetchPlan setFields(Class cls,
                            Collection fields)

  Sets `fields` as the set of field names to use when loading objects.

### removeField

    KodoFetchPlan removeField(String field)

  Remove the given fully-qualified field.

### removeField

    KodoFetchPlan removeField(Class cls,
                              String field)

  Remove the given field.

### clearFields

    KodoFetchPlan clearFields()

  Clears the set of field names to use when loading data. After this operation is invoked, only those fields in the configured fetch groups will be loaded when loading an object.

### getLockTimeout

    int getLockTimeout()

  The number of milliseconds to wait for an object lock, or -1 for no limit.

  Since:
    3.1

### setLockTimeout

    KodoFetchPlan setLockTimeout(int timeout)

  The number of milliseconds to wait for an object lock, or -1 for no limit.

  Since:
    3.1

### getReadLockLevel

    int getReadLockLevel()

  The lock level to use for locking loaded objects.

  Since:
    3.1

### setReadLockLevel

    KodoFetchPlan setReadLockLevel(int level)

  The lock level to use for locking loaded objects.

  Since:
    3.1

### getWriteLockLevel

    int getWriteLockLevel()

  The lock level to use for locking dirtied objects.

  Since:
    3.1

### setWriteLockLevel

    KodoFetchPlan setWriteLockLevel(int level)

  The lock level to use for locking dirtied objects.

  Since:
    3.1

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.